Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226034 (libmusicbrainz) - Merge Review: libmusicbrainz
Summary: Merge Review: libmusicbrainz
Keywords:
Status: CLOSED RAWHIDE
Alias: libmusicbrainz
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 486523
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:25 UTC by Nobody's working on this, feel free to take it
Modified: 2009-06-10 17:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 17:34:00 UTC
oget.fedora: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:25:52 UTC
Fedora Merge Review: libmusicbrainz

http://cvs.fedora.redhat.com/viewcvs/devel/libmusicbrainz/
Initial Owner: alexl@redhat.com

Comment 1 Alexander Larsson 2007-02-08 11:11:54 UTC
New Initial Owner: bnocera@redhat.com

Comment 2 Rex Dieter 2007-09-13 14:18:13 UTC
I'm maintaining libtunepimp, would you like to comaintain these together?

(If so, I can help review this)

Comment 3 Bastien Nocera 2007-09-13 15:19:52 UTC
libtunepimp is deprecated, isn't it?
I'd be more than happy to have a libmusicbrainz co-maintainer, but I'm not
really interested in maintaining a deprecated library :)

Comment 4 Rex Dieter 2007-09-13 15:48:41 UTC
> libtunepimp is deprecated, isn't it?

news to me, amarok uses it (afaik, amarok2 will too).

Comment 5 Bastien Nocera 2007-09-13 16:21:40 UTC
http://musicbrainz.org/doc/libtunepimpDownload says:

"<!> libtunepimp uses the old RDF WebService and should not be used in new
development. See WebService for more details."

Comment 6 Rex Dieter 2007-09-13 17:32:19 UTC
doh, thanks.

Comment 7 Orcan Ogetbil 2008-10-29 04:19:19 UTC
I did a full review on this package. Everything seems fine except

* docs/mb_howto.txt should be included among %doc, or maybe in devel's %doc
* the examples directory should be included in devel's %doc

Other than these two things the package yields Fedora Guidelines.

A question: Isn't it time to rename this package as libmusicbrainz2 and call libmusicbrainz3 as libmusicbrainz? Is there a particular reason why this is not done yet?

Comment 8 Orcan Ogetbil 2008-12-10 19:05:03 UTC
ping?

Comment 9 Rex Dieter 2008-12-10 19:18:55 UTC
wrt renaming?

I guess it could be considered (for F-11), Bastien what do you think?

(I'll take care of the other items from comment #7)

Comment 10 Rex Dieter 2008-12-10 19:25:14 UTC
Or maybe we can just libmusicbrainz3 -> libmusicbrainz (and EOL existing libmusicbrainz/libtunepimp).

Comment 11 Rex Dieter 2008-12-10 19:28:22 UTC
Spoke too soon perhaps, seems there's quite a bit of stuff still depending on libmusicbrainz(2):
libtunepimp(1)
sound-juicer
k3b(1)
gstreamer-plugins-bad
kdemultimedia(1)
rhythmbox(2)

(1) I do these, and it wouldn't break my heart if libmusicbrainz support went away.

(2) Wierd, rhythmbox seems to link to *both* libmusicbrainz/libmusicbrainz3.

Comment 12 Bastien Nocera 2008-12-10 22:24:13 UTC
I don't see the point of renaming the library:
- it's not user-facing
- libmusicbrainz (2.x) will soon be useless when MB turn off their old servers
- libmusicbrainz3 is what it's called upstream

Sound-juicer and rhythmbox are already ported to libmusicbrainz3 and use both.

Comment 13 Orcan Ogetbil 2008-12-11 02:23:22 UTC
(In reply to comment #12)
> - libmusicbrainz3 is what it's called upstream

I don't think that is the case anymore:
http://musicbrainz.org/doc/libmusicbrainzDownload

But if it is going to cause lots of trouble we can leave things as are.

Comment 14 Rex Dieter 2008-12-12 17:27:19 UTC
OK, new proposal:   EOL libmusicbrainz (libtunepimp)

Comment 15 Rex Dieter 2009-01-23 13:32:02 UTC
I see no objections, I'll move forward on EOL'ing these asap.

A libmusicbrainz3 pkg rename can be reconsidered at a later date.

Comment 16 Rex Dieter 2009-01-23 13:52:21 UTC
Damn, looks like the new kscd in kdemultimedia-4.2.x has a hard-dep on libmusicbrainz... the best laid plans go awry.

Comment 17 Alex Lancaster 2009-02-20 05:34:19 UTC
listen also still requires the old libmusicbrainz: bug #486523 please restore.

Comment 18 Orcan Ogetbil 2009-02-20 05:46:42 UTC
I don't think it is removed. Please see:

https://www.redhat.com/archives/fedora-devel-list/2009-February/msg01486.html

Comment 19 Alex Lancaster 2009-02-20 06:08:14 UTC
It was removed from last night's rawhide, at least temporarily:

http://koji.fedoraproject.org/mash/rawhide-20090219/logs/repodiff

Removed package libmusicbrainz
Removed package libtunepimp

Comment 20 Alex Lancaster 2009-02-20 06:18:29 UTC
OK, looks like they were restored in CVS.  I'm going to rebuild them for rawhide now, since it seems that Jesse unblocked them from rawhide.  Hopefully they'll make it into tomorrow's rawhide.

Comment 21 Alex Lancaster 2009-02-20 06:21:52 UTC
I guess if they are unblocked, it'll revert to the F-10 version of libmusicbrainz and libtunepimp, so it should at least fix the broken deps.  

Look like libtunepimp doesn't rebuild from source in any case:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1141627

Comment 22 Orcan Ogetbil 2009-04-04 05:47:48 UTC
Could you folks update the package according to comment #7 so we can close the merge review?

I also noticed that there is one occurrence of rm that should be converted to %{__rm} for macro consistency.

Comment 23 Orcan Ogetbil 2009-06-09 19:06:21 UTC
ping? no one wants to fix the trivial things I pointed in comments #7 and #22 ?

Comment 24 Bastien Nocera 2009-06-10 14:54:46 UTC
(In reply to comment #22)
> I also noticed that there is one occurrence of rm that should be converted to
> %{__rm} for macro consistency.  

Done

(In reply to comment #7)
> I did a full review on this package. Everything seems fine except
> 
> * docs/mb_howto.txt should be included among %doc, or maybe in devel's %doc

Done

> * the examples directory should be included in devel's %doc

Done

> Other than these two things the package yields Fedora Guidelines.
> 
> A question: Isn't it time to rename this package as libmusicbrainz2 and call
> libmusicbrainz3 as libmusicbrainz? Is there a particular reason why this is not
> done yet?  

This would be a pretty pointless shuffling of package names.

Comment 25 Orcan Ogetbil 2009-06-10 17:16:39 UTC
Thanks!

The 
   %doc docs/mb_howto.txt examples/README.examples examples/*.c examples/*.cpp
line must come after
   %defattr(-,root,root,-)

Afaict this is the only outstanding issue left.

Comment 26 Bastien Nocera 2009-06-10 17:21:56 UTC
Done in -10

Comment 27 Orcan Ogetbil 2009-06-10 17:34:00 UTC
Yay! All good.

------------------------------------------------------
This merge review (libmusicbrainz) is APPROVED by oget
------------------------------------------------------

Closing.


Note You need to log in before you can comment on or make changes to this bug.